<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php


include 'config_banco.php';


include ("jpgraph\jpgraph.php");


$indicador = $_REQUEST['nm_indicador'];

  $sql = "SELECT * FROM mec_painel.TB_INDICADOR WHERE NM_INDICADOR = '" . $indicador . "'";
  $query = pg_query($sql);

  while ($row = pg_fetch_array($query))
  {

	$formula = trim($row["dc_formula"]);
        $meta = trim($row["dc_meta"]);
	$periodicidade = trim($row["dc_periodicidade"]);
	$fonte = trim($row["dc_fonte"]);


  }


        include ("jpgraph\jpgraph_line.php");


	$grafico = new graph(600,300,"png");
	$grafico->img->SetMargin(40,110,60,40);
	$grafico->SetScale("textlin");	

	$grafico->title->Set($indicador);
	$grafico->subtitle->Set("Meta: " . $meta . " Periodicidade: " . $periodicidade . " Fonte: " . $fonte);
	

	$grafico->ygrid->Show(true);
	$grafico->xgrid->Show(true);
	//$grafico->ygrid->SetFill(true,'#EFEFEF@0.5','#F9BB64@0.5');
	$grafico->ygrid->SetFill(true,'#EFEFEF@0.5','#EFEFEF@0.5');

	$grafico->yaxis->scale->SetAutoMin(0);
	$grafico->yaxis->scale->SetAutoMax(1000);



    $array_labels = array("2002","2003","2004","2005","2006","2007","2008","2009");
  
    $dados = array(400,400,400,400,400,400,400,400);  

	//linha de valores m�nimos (400)  

    
	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("green");

	$gLinha->SetLegend("Meta M�n");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);


    $dados = array(500,500,500,500,500,500,500,500);  

	//linha de valores META (500)  

    
	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("green");

	$gLinha->SetLegend("Meta");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);


    $dados = array(600,600,600,600,600,600,600,600);  

	//linha de valores META MAX (600)  

    
	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("green");

	$gLinha->SetLegend("Meta M�x");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);

        


	$dados = array(300,300,300,300,300,300,300,300);
   

	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("yellow");

	$gLinha->SetLegend("Toler�vel M�x");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);



$dados = array(700,700,700,700,700,700,700,700);
   

	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("yellow");

	$gLinha->SetLegend("Toler�vel Min");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);



$dados = array(650,700,800,900,800,750,910,800);
   

	//linha de dados reais ()  

    
	$gLinha = new LinePlot($dados);
	$gLinha->SetColor("black");

	$gLinha->SetLegend("Apurado");
	//$gLinha->value->Show();
	$grafico->Add($gLinha);

        
	$grafico->xaxis->title->Set("Ano");
	
	$grafico->xaxis->SetTickLabels($array_labels);

     

$grafico->legend->Pos( 0.01, 0.5,"right" ,"top");

$grafico->img->SetAntiAliasing();

$grafico->Stroke();


  pg_free_result($query);
  pg_close($conexao);

?>